Package org.lwjgl.opengl

# Class EXTSeparateShaderObjects

java.lang.Object
org.lwjgl.opengl.EXTSeparateShaderObjects

public final class EXTSeparateShaderObjects extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_ACTIVE_PROGRAM_EXT`
Accepted by <type> parameter to GetIntegerv and GetFloatv:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glActiveProgramEXT(int program)`
`static int`
`glCreateShaderProgramEXT(int type, CharSequence string)`
Overloads glCreateShaderProgramEXT.
`static int`
`glCreateShaderProgramEXT(int type, ByteBuffer string)`
`static void`
`glUseShaderProgramEXT(int type, int program)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_ACTIVE_PROGRAM_EXT

public static final int GL_ACTIVE_PROGRAM_EXT
Accepted by <type> parameter to GetIntegerv and GetFloatv:

See Also:
  - Constant Field Values

## Method Details

### glUseShaderProgramEXT

public static void glUseShaderProgramEXT(int type, int program)

### glActiveProgramEXT

public static void glActiveProgramEXT(int program)

### glCreateShaderProgramEXT

public static int glCreateShaderProgramEXT(int type, ByteBuffer string)

### glCreateShaderProgramEXT

public static int glCreateShaderProgramEXT(int type, CharSequence string)
Overloads glCreateShaderProgramEXT.